### Method

# Camel Store dup_opened_folders

since: 3.24

#### Declaration [src]

    GPtrArray*
    camel_store_dup_opened_folders (
      CamelStore* store
    )

#### Description [src]

Returns a `GPtrArray` of all the opened folders for the `store`. The caller owns both the array and the folder references, so to free the array use:

        g_ptr_array_foreach (array, (GFunc) g_object_unref, NULL);
        g_ptr_array_free (array, TRUE);

Available since: 3.24

#### Return value

Type: An array of `CamelFolder*`

An array with all currently opened folders for the `store`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.